Skip to main content
PATCH
/
triggers
/
{trigger_id}
Update workflow trigger
curl --request PATCH \
  --url https://api.kapso.ai/platform/v1/triggers/{trigger_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "trigger": {
    "active": true
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "active": true,
    "display_name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "triggerable": {
      "phone_number_id": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kapso.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

trigger_id
string<uuid>
required

Trigger identifier

Body

application/json

Request to update a workflow trigger. Currently only the 'active' status can be modified. To change trigger type or phone number, delete and recreate the trigger.

trigger
object
required

Response

Trigger updated successfully

Single workflow trigger response

data
object
required

Workflow trigger defining when and how a workflow execution should start